Google+  
 

Question for Naruto Shippuden: Ultimate Ninja Impact

 
 
Guest asks: Added Apr 4th 2012, ID #257020

Question for Naruto Shippuden: Ultimate Ninja Impact

I downloaded the Naruto Shippuden Ultimate Ninja Impact USA version, but I don't know why I can't start the game. My psp is v. 5.3 or 5.50 gene. PLease HELP.
 
 
Ask.com and get
 
 

Add your answer

Answers for this Question

 
Guest answered: Added 22nd Apr 2012, ID #500486
I think your psp needs to be at version 6.39 'cause I use a UMD and it told me that I need to have a version 6.39 PSP before I can play the game. I hope this helps.
 
 
 
 
 

Add your answer

Please be as detailed as you can when making an answer. Answers that are too short or not descriptive are usually rejected.

Please do not use this box to ask a question, it will be rejected - this box is for answers ONLY. If you want to ask a question for this game, please use the ask a question box which is above on the right.


BB Codes Guide

Accept submission terms View Terms

You are not registered / logged in.
If you would like to ne notified if/when we have added this answer to the site please enter your email address.
We will only use this address to email the confirmation for this answer.

 

 
Who's Playing
Questions?
Game Wiki
 
Game Talk
LINKS FROM THE WEB..
 
 

More Questions
 
Have a question?